> This page is for version 2023-01-05.
> For other versions, use one of these documentation indexes:
> - 2026-09-29 (default): https://docs.withpersona.com/2026-09-29/llms.txt
> - 2025-12-08: https://docs.withpersona.com/2025-12-08/llms.txt
> - 2025-10-27: https://docs.withpersona.com/2025-10-27/llms.txt
> - 2023-01-05: https://docs.withpersona.com/2023-01-05/llms.txt
> - 2022-09-01: https://docs.withpersona.com/2022-09-01/llms.txt
> - 2021-07-05: https://docs.withpersona.com/2021-07-05/llms.txt
> - 2021-05-14: https://docs.withpersona.com/2021-05-14/llms.txt
> - 2020-05-18: https://docs.withpersona.com/2020-05-18/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.withpersona.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server.

# Retrieve Inquiry Template Translations

GET https://api.withpersona.com/api/v1/inquiry-templates/{inquiry-template-id}/translations

Retrieves the translations for an Inquiry Template as a JSON:API resource.

The export uses the latest draft version if one exists, otherwise falls back to the latest published version.

Note: You must use a production API key to access this endpoint. For security reasons, we do not expose organization-level resources like Inquiry Templates in Sandbox via API.

Reference: https://docs.withpersona.com/api-reference/inquiry-templates/retrieve-inquiry-template-translations

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `inquiry-template-id` (string, required) — Inquiry Template ID

### Query parameters

- `include` (string, optional) — A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
- `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.

### Headers

- `Key-Inflection` (enum, optional) — Determines casing for the API response.
  - Allowed values: `camel`, `kebab`, `snake`
- `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).
  - Allowed values: `2026-09-29`, `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18`

## Response

### 200

This endpoint returns an Inquiry Template Translations object.

- `data` (InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

The request was unacceptable, often due to invalid parameters.

- `errors` (list of InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

An invalid API key was provided.

- `errors` (list of InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

The given API key doesn’t have permissions to perform the request or a quota has been exceeded.

- `errors` (list of InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

The requested resource doesn’t exist.

- `errors` (list of InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 429 Too Many Requests Error

Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests.

- `errors` (list of InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaData

- `type` ("inquiry-template-translations", required)
- `id` (string, required) — The token of the Inquiry Template Version the translations were retrieved from.
- `attributes` (InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaDataAttributes, required)

### InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaErrorsItems

- `title` (string, optional)
- `details` (string, optional)

### InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaDataAttributes

- `translations` (list of InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaDataAttributesTranslationsItems, required)

### InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaDataAttributesTranslationsItems

- `step` (string, required)
- `step-display-name` (string, required)
- `component` (string, required)
- `attribute-name` (string, required)
- `locale-values` (list of InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaDataAttributesTranslationsItemsLocaleValuesItems, required)

### InquiryTemplatesInquiryTemplateIdTranslationsGetResponsesContentApplicationJsonSchemaDataAttributesTranslationsItemsLocaleValuesItems

- `locale` (string, required)
- `value` (string, required, nullable)

## Examples

**Response**

```json
{
  "data": {
    "type": "inquiry-template-translations",
    "id": "itmplv_HAVumeSgCxWxhVb8tTRjaiUB",
    "attributes": {
      "translations": [
        {
          "step": "start",
          "step-display-name": "Start",
          "component": "title",
          "attribute-name": "text",
          "locale-values": [
            {
              "locale": "en-US",
              "value": "Getting started"
            },
            {
              "locale": "fr",
              "value": "Commencer"
            },
            {
              "locale": "es-MX",
              "value": "Empezar"
            }
          ]
        }
      ]
    }
  }
}
```

**SDK Code**

```python Success
import requests

url = "https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Success
const url = 'https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Success
require 'uri'
require 'net/http'

url = URI("https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Success
using RestSharp;

var client = new RestClient("https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Success
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/inquiry-templates/inquiry-template-id/translations")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```